## monit 5.3.2

=== libmonit/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (C) Tildeslash Ltd. All rights reserved.


pkgdatadir = $(datadir)/libmonit
pkgincludedir = $(includedir)/libmonit
pkglibdir = $(libdir)/libmonit
pkglibexecdir = $(libexecdir)/libmonit
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/configure \
	$(top_srcdir)/src/xconfig.h.in COPYING config/config.guess \
	config/config.sub config/install-sh config/ltmain.sh \
	config/missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/xconfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libmonit_la_LIBADD =
am__dirstamp = $(am__leading_dot)dirstamp
am_libmonit_la_OBJECTS = src/Bootstrap.lo src/exceptions/assert.lo \
	src/exceptions/Exception.lo src/io/Dir.lo src/io/File.lo \
	src/io/InputStream.lo src/io/OutputStream.lo src/system/Mem.lo \
	src/system/Net.lo src/system/Time.lo src/system/Command.lo \
	src/system/System.lo src/util/List.lo src/util/Str.lo \
	src/util/StringBuffer.lo src/thread/Thread.lo
libmonit_la_OBJECTS = $(am_libmonit_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)/src
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libmonit_la_SOURCES)
DIST_SOURCES = $(libmonit_la_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /tmp/monit/libmonit/config/missing --run aclocal-1.11
AMTAR = ${SHELL} /tmp/monit/libmonit/config/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /tmp/monit/libmonit/config/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/monit/libmonit/config/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/monit/libmonit/config/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -Wno-address -Wno-pointer-sign -g -O2 -D _REENTRANT -Wall -Wunused -Wno-unused-label -funsigned-char -D_GNU_SOURCE -std=c99
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /tmp/monit/libmonit/config/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libmonit
PACKAGE_BUGREPORT = monit-dev@tildeslash.com
PACKAGE_NAME = libmonit
PACKAGE_STRING = libmonit 1.0
PACKAGE_TARNAME = libmonit
PACKAGE_URL = 
PACKAGE_VERSION = 1.0
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 1.0
abs_builddir = /tmp/monit/libmonit
abs_srcdir = /tmp/monit/libmonit
abs_top_builddir = /tmp/monit/libmonit
abs_top_srcdir = /tmp/monit/libmonit
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /tmp/monit/libmonit/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
AUTOMAKE_OPTIONS = foreign no-dependencies subdir-objects
ACLOCAL_AMFLAGS = -I m4
SUBDIRS = . test
EXTRA_DIST = README COPYING bootstrap test src config
AM_CPPFLAGS = $(CPPFLAGS) $(DBCPPFLAGS)
INCLUDES = -I./src -I./src/exceptions -I./src/io -I./src/net -I./src/util -I./src/thread

# libmonit is built static
noinst_LTLIBRARIES = libmonit.la
libmonit_la_SOURCES = \
		  src/Bootstrap.c \
                  src/exceptions/assert.c \
                  src/exceptions/Exception.c \
                  src/io/Dir.c \
                  src/io/File.c \
                  src/io/InputStream.c \
                  src/io/OutputStream.c \
                  src/system/Mem.c \
                  src/system/Net.c \
                  src/system/Time.c \
                  src/system/Command.c \
                  src/system/System.c \
                  src/util/List.c \
                  src/util/Str.c \
                  src/util/StringBuffer.c \
                  src/thread/Thread.c

all: all-recursive

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

src/xconfig.h: src/stamp-h1
	@if test ! -f $@; then \
	  rm -f src/stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) src/stamp-h1; \
	else :; fi

src/stamp-h1: $(top_srcdir)/src/xconfig.h.in $(top_builddir)/config.status
	@rm -f src/stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status src/xconfig.h
$(top_srcdir)/src/xconfig.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f src/stamp-h1
	touch $@

distclean-hdr:
	-rm -f src/xconfig.h src/stamp-h1

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
src/$(am__dirstamp):
	@$(MKDIR_P) src
	@: > src/$(am__dirstamp)
src/Bootstrap.lo: src/$(am__dirstamp)
src/exceptions/$(am__dirstamp):
	@$(MKDIR_P) src/exceptions
	@: > src/exceptions/$(am__dirstamp)
src/exceptions/assert.lo: src/exceptions/$(am__dirstamp)
src/exceptions/Exception.lo: src/exceptions/$(am__dirstamp)
src/io/$(am__dirstamp):
	@$(MKDIR_P) src/io
	@: > src/io/$(am__dirstamp)
src/io/Dir.lo: src/io/$(am__dirstamp)
src/io/File.lo: src/io/$(am__dirstamp)
src/io/InputStream.lo: src/io/$(am__dirstamp)
src/io/OutputStream.lo: src/io/$(am__dirstamp)
src/system/$(am__dirstamp):
	@$(MKDIR_P) src/system
	@: > src/system/$(am__dirstamp)
src/system/Mem.lo: src/system/$(am__dirstamp)
src/system/Net.lo: src/system/$(am__dirstamp)
src/system/Time.lo: src/system/$(am__dirstamp)
src/system/Command.lo: src/system/$(am__dirstamp)
src/system/System.lo: src/system/$(am__dirstamp)
src/util/$(am__dirstamp):
	@$(MKDIR_P) src/util
	@: > src/util/$(am__dirstamp)
src/util/List.lo: src/util/$(am__dirstamp)
src/util/Str.lo: src/util/$(am__dirstamp)
src/util/StringBuffer.lo: src/util/$(am__dirstamp)
src/thread/$(am__dirstamp):

=== libmonit/test/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# test/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/libmonit
pkgincludedir = $(includedir)/libmonit
pkglibdir = $(libdir)/libmonit
pkglibexecdir = $(libexecdir)/libmonit
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
noinst_PROGRAMS = StrTest$(EXEEXT) SystemTest$(EXEEXT) \
	ListTest$(EXEEXT) DirTest$(EXEEXT) StringBufferTest$(EXEEXT) \
	InputStreamTest$(EXEEXT) OutputStreamTest$(EXEEXT) \
	FileTest$(EXEEXT) ExceptionTest$(EXEEXT) NetTest$(EXEEXT) \
	TimeTest$(EXEEXT) CommandTest$(EXEEXT)
subdir = test
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/xconfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_CommandTest_OBJECTS = CommandTest.$(OBJEXT)
CommandTest_OBJECTS = $(am_CommandTest_OBJECTS)
CommandTest_LDADD = $(LDADD)
CommandTest_DEPENDENCIES = ../libmonit.la
am_DirTest_OBJECTS = DirTest.$(OBJEXT)
DirTest_OBJECTS = $(am_DirTest_OBJECTS)
DirTest_LDADD = $(LDADD)
DirTest_DEPENDENCIES = ../libmonit.la
am_ExceptionTest_OBJECTS = ExceptionTest.$(OBJEXT)
ExceptionTest_OBJECTS = $(am_ExceptionTest_OBJECTS)
ExceptionTest_LDADD = $(LDADD)
ExceptionTest_DEPENDENCIES = ../libmonit.la
am_FileTest_OBJECTS = FileTest.$(OBJEXT)
FileTest_OBJECTS = $(am_FileTest_OBJECTS)
FileTest_LDADD = $(LDADD)
FileTest_DEPENDENCIES = ../libmonit.la
am_InputStreamTest_OBJECTS = InputStreamTest.$(OBJEXT)
InputStreamTest_OBJECTS = $(am_InputStreamTest_OBJECTS)
InputStreamTest_LDADD = $(LDADD)
InputStreamTest_DEPENDENCIES = ../libmonit.la
am_ListTest_OBJECTS = ListTest.$(OBJEXT)
ListTest_OBJECTS = $(am_ListTest_OBJECTS)
ListTest_LDADD = $(LDADD)
ListTest_DEPENDENCIES = ../libmonit.la
am_NetTest_OBJECTS = NetTest.$(OBJEXT)
NetTest_OBJECTS = $(am_NetTest_OBJECTS)
NetTest_LDADD = $(LDADD)
NetTest_DEPENDENCIES = ../libmonit.la
am_OutputStreamTest_OBJECTS = OutputStreamTest.$(OBJEXT)
OutputStreamTest_OBJECTS = $(am_OutputStreamTest_OBJECTS)
OutputStreamTest_LDADD = $(LDADD)
OutputStreamTest_DEPENDENCIES = ../libmonit.la
am_StrTest_OBJECTS = StrTest.$(OBJEXT)
StrTest_OBJECTS = $(am_StrTest_OBJECTS)
StrTest_LDADD = $(LDADD)
StrTest_DEPENDENCIES = ../libmonit.la
am_StringBufferTest_OBJECTS = StringBufferTest.$(OBJEXT)
StringBufferTest_OBJECTS = $(am_StringBufferTest_OBJECTS)
StringBufferTest_LDADD = $(LDADD)
StringBufferTest_DEPENDENCIES = ../libmonit.la
am_SystemTest_OBJECTS = SystemTest.$(OBJEXT)
SystemTest_OBJECTS = $(am_SystemTest_OBJECTS)
SystemTest_LDADD = $(LDADD)
SystemTest_DEPENDENCIES = ../libmonit.la
am_TimeTest_OBJECTS = TimeTest.$(OBJEXT)
TimeTest_OBJECTS = $(am_TimeTest_OBJECTS)
TimeTest_LDADD = $(LDADD)
TimeTest_DEPENDENCIES = ../libmonit.la
DEFAULT_INCLUDES = -I. -I$(top_builddir)/src
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(CommandTest_SOURCES) $(DirTest_SOURCES) \
	$(ExceptionTest_SOURCES) $(FileTest_SOURCES) \
	$(InputStreamTest_SOURCES) $(ListTest_SOURCES) \
	$(NetTest_SOURCES) $(OutputStreamTest_SOURCES) \
	$(StrTest_SOURCES) $(StringBufferTest_SOURCES) \
	$(SystemTest_SOURCES) $(TimeTest_SOURCES)
DIST_SOURCES = $(CommandTest_SOURCES) $(DirTest_SOURCES) \
	$(ExceptionTest_SOURCES) $(FileTest_SOURCES) \
	$(InputStreamTest_SOURCES) $(ListTest_SOURCES) \
	$(NetTest_SOURCES) $(OutputStreamTest_SOURCES) \
	$(StrTest_SOURCES) $(StringBufferTest_SOURCES) \
	$(SystemTest_SOURCES) $(TimeTest_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/monit/libmonit/config/missing --run aclocal-1.11
AMTAR = ${SHELL} /tmp/monit/libmonit/config/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /tmp/monit/libmonit/config/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/monit/libmonit/config/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/monit/libmonit/config/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -Wno-address -Wno-pointer-sign -g -O2 -D _REENTRANT -Wall -Wunused -Wno-unused-label -funsigned-char -D_GNU_SOURCE -std=c99
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /tmp/monit/libmonit/config/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libmonit
PACKAGE_BUGREPORT = monit-dev@tildeslash.com
PACKAGE_NAME = libmonit
PACKAGE_STRING = libmonit 1.0
PACKAGE_TARNAME = libmonit
PACKAGE_URL = 
PACKAGE_VERSION = 1.0
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 1.0
abs_builddir = /tmp/monit/libmonit/test
abs_srcdir = /tmp/monit/libmonit/test
abs_top_builddir = /tmp/monit/libmonit
abs_top_srcdir = /tmp/monit/libmonit
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /tmp/monit/libmonit/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
AUTOMAKE_OPTIONS = foreign no-dependencies
LDADD = ../libmonit.la
INCLUDES = -I../src/ -I../src/util -I../src/net -I../src/io -I../src/exceptions -I../src/thread 
StrTest_SOURCES = StrTest.c
CommandTest_SOURCES = CommandTest.c
SystemTest_SOURCES = SystemTest.c
ListTest_SOURCES = ListTest.c
DirTest_SOURCES = DirTest.c
StringBufferTest_SOURCES = StringBufferTest.c
InputStreamTest_SOURCES = InputStreamTest.c
OutputStreamTest_SOURCES = OutputStreamTest.c
FileTest_SOURCES = FileTest.c
ExceptionTest_SOURCES = ExceptionTest.c
NetTest_SOURCES = NetTest.c
TimeTest_SOURCES = TimeTest.c
DISTCLEANFILES = *~ 
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign test/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign test/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list
CommandTest$(EXEEXT): $(CommandTest_OBJECTS) $(CommandTest_DEPENDENCIES) 
	@rm -f CommandTest$(EXEEXT)
	$(LINK) $(CommandTest_OBJECTS) $(CommandTest_LDADD) $(LIBS)
DirTest$(EXEEXT): $(DirTest_OBJECTS) $(DirTest_DEPENDENCIES) 
	@rm -f DirTest$(EXEEXT)
	$(LINK) $(DirTest_OBJECTS) $(DirTest_LDADD) $(LIBS)
ExceptionTest$(EXEEXT): $(ExceptionTest_OBJECTS) $(ExceptionTest_DEPENDENCIES) 
	@rm -f ExceptionTest$(EXEEXT)
	$(LINK) $(ExceptionTest_OBJECTS) $(ExceptionTest_LDADD) $(LIBS)
FileTest$(EXEEXT): $(FileTest_OBJECTS) $(FileTest_DEPENDENCIES) 
	@rm -f FileTest$(EXEEXT)
	$(LINK) $(FileTest_OBJECTS) $(FileTest_LDADD) $(LIBS)
InputStreamTest$(EXEEXT): $(InputStreamTest_OBJECTS) $(InputStreamTest_DEPENDENCIES) 
	@rm -f InputStreamTest$(EXEEXT)
	$(LINK) $(InputStreamTest_OBJECTS) $(InputStreamTest_LDADD) $(LIBS)
ListTest$(EXEEXT): $(ListTest_OBJECTS) $(ListTest_DEPENDENCIES) 
	@rm -f ListTest$(EXEEXT)
	$(LINK) $(ListTest_OBJECTS) $(ListTest_LDADD) $(LIBS)
NetTest$(EXEEXT): $(NetTest_OBJECTS) $(NetTest_DEPENDENCIES) 
	@rm -f NetTest$(EXEEXT)
	$(LINK) $(NetTest_OBJECTS) $(NetTest_LDADD) $(LIBS)
OutputStreamTest$(EXEEXT): $(OutputStreamTest_OBJECTS) $(OutputStreamTest_DEPENDENCIES) 
	@rm -f OutputStreamTest$(EXEEXT)
	$(LINK) $(OutputStreamTest_OBJECTS) $(OutputStreamTest_LDADD) $(LIBS)
StrTest$(EXEEXT): $(StrTest_OBJECTS) $(StrTest_DEPENDENCIES) 
	@rm -f StrTest$(EXEEXT)
	$(LINK) $(StrTest_OBJECTS) $(StrTest_LDADD) $(LIBS)
StringBufferTest$(EXEEXT): $(StringBufferTest_OBJECTS) $(StringBufferTest_DEPENDENCIES) 
	@rm -f StringBufferTest$(EXEEXT)
	$(LINK) $(StringBufferTest_OBJECTS) $(StringBufferTest_LDADD) $(LIBS)
SystemTest$(EXEEXT): $(SystemTest_OBJECTS) $(SystemTest_DEPENDENCIES) 
	@rm -f SystemTest$(EXEEXT)
	$(LINK) $(SystemTest_OBJECTS) $(SystemTest_LDADD) $(LIBS)
TimeTest$(EXEEXT): $(TimeTest_OBJECTS) $(TimeTest_DEPENDENCIES)

## monit 5.2.5

=== debian/changelog ===
monit (1:5.2.5-2ubuntu1) oneiric; urgency=low

  * Fix SSL libs in multiarch location. LP: #831075.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Sep 2011 21:14:22 +0200

monit (1:5.2.5-2build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 13:17:07 +0100

monit (1:5.2.5-2) unstable; urgency=low

  * Fix FTBFS (undefined reference to `SSLv2_client_method') after ssv2
    removal (Closes: #621047).

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 06 Apr 2011 15:08:19 +0400

monit (1:5.2.5-1) unstable; urgency=low

  * Imported Upstream version 5.2.5 (Closes: #617259)
  * Removed patches, applied by upstream
  * Unfuzz patches

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 06 Apr 2011 03:19:27 +0400

monit (1:5.2.4-4) unstable; urgency=low

  * Use tiny debian/rules, bump up debhelper compat level
  * Removed CHANGES.txt from monit.docs (this is a changelog already)
  * Override init.d start/stop defaults
  * Cleanup debian/monit.dirs
  * Remove /var/log/monit.log in postrm script
  * Add references to BTS in TODO.Debian
  * Override dh_auto_configure - added argument --bindir=/usr/sbin
  * Don't set initail delay for monit startup
  * Quote dh_installinit params
  * Set default $HOST to FQDN hostname (Closes: #613768)
  * Add monit alias to /etc/aliases
  * Add Forwarded: headers in debian/patches/

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 21 Mar 2011 15:50:39 +0300

monit (1:5.2.4-3) unstable; urgency=low

  * Refresh patches with --diffstat
  * Upstream fix for SMTP protocol (original test issues both EHLO and
    HELO, regardless of server reply).  Closes: #614984.
  * Use @include common-* stanzas for monit PAM configuration (Thanks to
    Paulo Ricardo Bruck)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 16 Mar 2011 23:55:26 +0300

monit (1:5.2.4-2) unstable; urgency=low

  * Drop Build-Depends on quilt (not needed due to package format)
  * Do set -e in postinst script explicitly (not in sha-bang) to make
    lintian happy
  * Cleanup description (thanks to lintian: description-synopsis-starts-
    with-an-article)
  * Update copyright year for upstream

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 04 Mar 2011 16:44:28 +0300

monit (1:5.2.4-1) unstable; urgency=low

  * Create & rotate /var/log/monit.log with root:adm owner and group
    (Closes: #613764)
  * Adopt DEP5 (Machine-readable debian/copyright format)
  * Suggest MTA (exim4, postfix, etc)
  * Cleanup patch 05_monitrc.patch: disable "set alert root@localhost"
    and "set mailserver localhost"
  * Cleanup logrotate script
  * Add eventqueue basedir
  * New upstream release (5.2.4).  Closes: #613770.
  * Unfuzz 02_monit.1_debian_path.patch
  * Added "DM-Upload-Allowed: yes" control field

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 04 Mar 2011 14:21:01 +0300

monit (1:5.2.3-2) unstable; urgency=low

  [ Sergey B Kirpichev ]
  * Fix monit_not_configured () message text (see Ubuntu bug #666268)
  * Add Vcs-* fields to debian/control
  * Fix initscript dependencies to start after and stop before other
    services (Closes: #606731, thanks to Joey Parrish <joey.parrish@gmail.com>)
  * Add patch 04_LOGMASK.patch: set strict file mode creation mask for
    logfile
  * Allow monit to start by default, provide minimal monitrc file
    (Closes: #583132, thanks to Thomas Clavier <tom@tcweb.org>)
  * Use logging to file, instead of syslog by default, add logrotate
    script
  * Handle MONIT_OPTS configuration variable in initscript to pass
    command line arguments at startup, eg. -d 180 (Closes: #589895)
  * Cleanup /etc/default/monit file (Closes: #612767)
  * Rewrote initscript using lsb-helpers, add depends on lsb-base

  [ Jeremiah C. Foster ]
  * Minor typo correction for debian/copyright

  [ Sergey B Kirpichev ]
  * Create TODO.Debian file, add item
  * Fix some spelling errors (added patch 06)
  * Merge monitrc patches
  * Drop patch/unpatch logic from debian/rules

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 14 Feb 2011 16:59:02 +0300

monit (1:5.2.3-1) unstable; urgency=low

  * New maintainer (Closes: #593941)
  * change patch system: dpatch -> quilt
  * Switch to dpkg-source 3.0 (quilt) format
  * New upstream release (5.2.3)
  * Include ${misc:Depends} in depends section of debian/control
  * Bump up Standards-Version (to 3.9.1)
  * Add lintian override for permissions of etc/monit/monitrc
  * Bump up debhelper compatibility version (to 5)
  * Declare versioned dependency on debhelper
  * move direct source tree changes in monitrc to 03_monitrc.patch
  * add Homepage header to debian/control
  * minor fix for debian/copyright: refer to new maintainer, new
    homepage and GPL-3

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 17 Jan 2011 16:12:19 +0300

monit (1:5.2.1-1) unstable; urgency=low

  * New upstream release

 -- Stefan Alfredsson <alfs@debian.org>  Sat, 25 Sep 2010 22:03:04 +0200

monit (1:5.2-1) unstable; urgency=low

  * New upstream release

 -- Stefan Alfredsson <alfs@debian.org>  Thu, 23 Sep 2010 22:47:48 +0200

monit (1:5.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #573777)
  * Added configurable statefile in /etc/default/monit (Closes: #569616)
  * Verbose info when syntax errors are detected at start (Closes: #427922)
  * Sample configuration adjustments (Closes: #427924)
  * Removed pam_securityserver in pam config (Closes: #574120)
  * An include-directory is supplied (Closes: #249933)

 -- Stefan Alfredsson <alfs@debian.org>  Fri, 19 Mar 2010 22:40:11 +0100

monit (1:5.1-1) unstable; urgency=low

  * New upstream release

 -- Stefan Alfredsson <alfs@debian.org>  Sun, 21 Feb 2010 11:06:34 +0100

monit (1:5.0.3-3) unstable; urgency=low

  * Daemon poll interval moved to rc-file instead of defaults
    (Closes: #541425)
  * Package upgraded (Closes: 453248)
  * Configuration snippets are included from /etc/monit/conf.d/*
    (Closes: #296479)



=== debian/control ===
Source: monit
Section: admin
Priority: optional
Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), byacc, flex, libssl-dev, automake1.9, libpam-dev
Standards-Version: 3.9.1
Homepage: http://mmonit.com/monit/
Vcs-Git: git://git.debian.org/git/collab-maint/monit.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/monit.git;a=summary

Package: monit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-13)
Suggests: exim4 | postfix | mail-transport-agent
Description: utility for monitoring and managing daemons or similar programs
 monit is a utility for monitoring and managing daemons or similar
 programs running on a Unix system. It will start specified programs
 if they are not running and restart programs not responding.
 .
 monit supports:
  * Daemon mode - poll programs at a specified interval
  * Monitoring modes - active, passive or manual
  * Start, stop and restart of programs
  * Group and manage groups of programs
  * Process dependency definition
  * Logging to syslog or own logfile
  * Configuration - comprehensive controlfile
  * Runtime and TCP/IP port checking (tcp and udp)
  * SSL support for port checking
  * Unix domain socket checking
  * Process status and process timeout
  * Process cpu usage
  * Process memory usage
  * Process zombie check
  * Check the systems load average
  * Check a file or directory timestamp
  * Alert, stop or restart a process based on its characteristics
  * MD5 checksum for programs started and stopped by monit
  * Alert notification for program timeout, restart, checksum, stop 
    resource and timestamp error
  * Flexible and customizable email alert messages
  * Protocol verification. HTTP, FTP, SMTP, POP, IMAP, NNTP, SSH, DWP, 
    LDAPv2 and LDAPv3
  * An http interface with optional SSL support to make monit 
    accessible from a webbrowser

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/sbin \
		--with-ssl-lib-dir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	dh_auto_install
	cp monitrc debian/monit/etc/monit/monitrc

override_dh_installinit:
	dh_installinit -- "start 99 2 3 4 5 . stop 01 0 1 6 ."

override_dh_fixperms:
	dh_fixperms
	chmod 600 debian/monit/etc/monit/monitrc
	chmod 0700 debian/monit/var/lib/monit/events

## monit 5.3.1

=== debian/changelog ===
monit (1:5.3.1-2) unstable; urgency=low

  * Install monit binary to /usr/bin instead of /usr/sbin
  * Don't install contrib/packages/* in docs
  * Added LSB Description to init-script
  * Removed override_dh_auto_install
  * Install upstart conf in doc/package/examples
  * Apply 07_spelling.patch
  * Added override for lintian spelling-error-in-binary usr/bin/monit
  * Droped --with-ssl-lib-dir switch from ./configure arguments
  * Added missing legacy debian/* copyrights
  * Apply 08_hide_low_priority_info_from_stderr.patch: Hide from stderr
    output from LogInfo and LogDebug.
  * Removed the state and id files on purge
  * Cleanup for init script
  * Introduce NEWS.Debian file, document binary path transition
  * Removed deprecated stuff about /etc/monit/monit_delay from
    README.Debian
  * Fixed upstream license information in debian/copyright

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 20 Dec 2011 00:50:07 +0400

monit (1:5.3.1-1) unstable; urgency=low

  * Imported Upstream version 5.3.1
  * Drop debian/patches/06_kfreebsd.patch,
    debian/patches/07_bootstrap.patch (and autogenerated
    debian/patches/99_autoreconf.patch), applied upstream

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 29 Oct 2011 01:22:47 +0400

monit (1:5.3-3) unstable; urgency=low

  * Added deps for libkvm-dev on kFreeBSD
  * 06_kfreebsd.patch: fix FTBFS for kFreeBSD (Closes: #643019)
  * 07_bootstrap.patch: Add -c option for libtoolize in bootstrap
    scripts
  * 99_autoreconf.patch: Run ./bootstrap

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 29 Sep 2011 16:45:26 +0400

monit (1:5.3-2) unstable; urgency=low

  * Set --sysconfdir to /etc/monit and drop patches for relocation of
    default /etc/monitrc path to /etc/monit/monitrc
  * Properly use $(DEB_HOST_MULTIARCH) for --with-ssl-lib-dir (fix for
    FTBFS in a couple of arch's)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 28 Sep 2011 20:57:23 +0400

monit (1:5.3-1) unstable; urgency=low

  * Bump up Standards-Version (to 3.9.2)
  * Add minsize clause for logrotate script
  * Imported Upstream version 5.3
  * Fix patches for 5.3 version and drop
    06_Fix_FTBFS_after_ssv2_removal.patch
  * Exclude obsoleted docs (README.SSL, etc) and include doc/PLATFORMS
  * Drop obsoleted automake1.9 deps
  * Drop deps for byacc & flex (unneeded for monit 5.3)
  * Set --with-ssl-lib-dir as a workarround
  * Fix lintian warning: obsoleted field Format-Specification in
    debian/copyright

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 15 Sep 2011 03:03:30 +0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc/monit

override_dh_installinit:
	dh_installinit -- "start 99 2 3 4 5 . stop 01 0 1 6 ."

override_dh_fixperms:
	dh_fixperms
	chmod 600 debian/monit/etc/monit/monitrc
	chmod 0700 debian/monit/var/lib/monit/events

## monit 5.3.2

=== debian/changelog ===
monit (1:5.3.2-1) unstable; urgency=low

  * Imported Upstream version 5.3.2 (Closes: #652715)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 21 Dec 2011 03:20:22 +0400

monit (1:5.3.1-3) unstable; urgency=low

  * Revert "Drop --with-ssl-lib-dir switch from ./configure arguments"
    - Couple arch's (hurd-i386, i386, kfreebsd-i386) still needs
      this workarround to prevent FTBS.

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 20 Dec 2011 13:14:13 +0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50), byacc, flex, libssl-dev, automake1.9, libpam-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50), libssl-dev, libpam-dev, libkvm-dev [kfreebsd-any]
+Standards-Version: 3.9.2
 Homepage: http://mmonit.com/monit/
 Vcs-Git: git://git.debian.org/git/collab-maint/monit.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/monit.git;a=summary

## monit 5.4

=== libmonit/test/Makefile ===
--- 
+++ 
@@ -125,12 +125,12 @@
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /tmp/monit/libmonit/config/missing --run aclocal-1.11
-AMTAR = ${SHELL} /tmp/monit/libmonit/config/missing --run tar
+ACLOCAL = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run aclocal-1.11
+AMTAR = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run tar
 AR = ar
-AUTOCONF = ${SHELL} /tmp/monit/libmonit/config/missing --run autoconf
-AUTOHEADER = ${SHELL} /tmp/monit/libmonit/config/missing --run autoheader
-AUTOMAKE = ${SHELL} /tmp/monit/libmonit/config/missing --run automake-1.11
+AUTOCONF = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run automake-1.11
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=none
@@ -162,7 +162,7 @@
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /tmp/monit/libmonit/config/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run makeinfo
 MKDIR_P = /bin/mkdir -p
 NM = /usr/bin/nm -B
 NMEDIT = 
@@ -184,10 +184,10 @@
 SHELL = /bin/bash
 STRIP = strip
 VERSION = 1.0
-abs_builddir = /tmp/monit/libmonit/test
-abs_srcdir = /tmp/monit/libmonit/test
-abs_top_builddir = /tmp/monit/libmonit
-abs_top_srcdir = /tmp/monit/libmonit
+abs_builddir = /home/martinp/svn/monit/libmonit/test
+abs_srcdir = /home/martinp/svn/monit/libmonit/test
+abs_top_builddir = /home/martinp/svn/monit/libmonit
+abs_top_srcdir = /home/martinp/svn/monit/libmonit
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
 am__include = include
@@ -215,7 +215,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /tmp/monit/libmonit/config/install-sh
+install_sh = ${SHELL} /home/martinp/svn/monit/libmonit/config/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
@@ -327,5 +327,3 @@
 	$(LINK) $(StringBufferTest_OBJECTS) $(StringBufferTest_LDADD) $(LIBS)
 SystemTest$(EXEEXT): $(SystemTest_OBJECTS) $(SystemTest_DEPENDENCIES) 
 	@rm -f SystemTest$(EXEEXT)
-	$(LINK) $(SystemTest_OBJECTS) $(SystemTest_LDADD) $(LIBS)
-TimeTest$(EXEEXT): $(TimeTest_OBJECTS) $(TimeTest_DEPENDENCIES)

=== debian/changelog ===
monit (1:5.4-2) unstable; urgency=low

  * Chande dh compat to 9, enable hardening support
  * Provide debian/monit.bug-script (Closes: #654450)
  * Remove README.Debian from monit.docs (this file is automatically
    installed if present)
  * Install example config of systemd's service
  * Refresh 07_spelling.patch
  * Install optional configuration snippets to /etc/monit/monitrc.d/

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 01 Jun 2012 14:49:58 +0400

monit (1:5.4-1) unstable; urgency=low

  * Reformat debian/copyright according to accepted DEP5 spec
  * Bump up Standards-Version to 3.9.3 (no changes)
  * Imported Upstream version 5.4

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sun, 13 May 2012 19:34:12 +0400

monit (1:5.3.2-2) unstable; urgency=low

  * Drop TODO.Debian
  * Fix bashism in monit.init (Closes: #654449)
  * Removed example.monitrc
  * Cleanup of dirs file

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 05 Jan 2012 16:04:39 +0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50), libssl-dev, libpam-dev, libkvm-dev [kfreebsd-any]
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libssl-dev, libpam-dev, libkvm-dev [kfreebsd-any]
+Standards-Version: 3.9.3
 Homepage: http://mmonit.com/monit/
 Vcs-Git: git://git.debian.org/git/collab-maint/monit.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/monit.git;a=summary
@@ -37,11 +37,11 @@
   * Check a file or directory timestamp
   * Alert, stop or restart a process based on its characteristics
   * MD5 checksum for programs started and stopped by monit
-  * Alert notification for program timeout, restart, checksum, stop 
+  * Alert notification for program timeout, restart, checksum, stop
     resource and timestamp error
   * Flexible and customizable email alert messages
-  * Protocol verification. HTTP, FTP, SMTP, POP, IMAP, NNTP, SSH, DWP, 
+  * Protocol verification. HTTP, FTP, SMTP, POP, IMAP, NNTP, SSH, DWP,
     LDAPv2 and LDAPv3
-  * An http interface with optional SSL support to make monit 
+  * An http interface with optional SSL support to make monit
     accessible from a webbrowser

## monit 5.5

=== libmonit/Makefile ===
--- 
+++ 
@@ -127,12 +127,12 @@
 GZIP_ENV = --best
 distuninstallcheck_listfiles = find . -type f -print
 distcleancheck_listfiles = find . -type f -print
-ACLOCAL = ${SHELL} /tmp/monit/libmonit/config/missing --run aclocal-1.11
-AMTAR = ${SHELL} /tmp/monit/libmonit/config/missing --run tar
+ACLOCAL = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run aclocal-1.11
+AMTAR = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run tar
 AR = ar
-AUTOCONF = ${SHELL} /tmp/monit/libmonit/config/missing --run autoconf
-AUTOHEADER = ${SHELL} /tmp/monit/libmonit/config/missing --run autoheader
-AUTOMAKE = ${SHELL} /tmp/monit/libmonit/config/missing --run automake-1.11
+AUTOCONF = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run automake-1.11
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=none
@@ -164,7 +164,7 @@
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /tmp/monit/libmonit/config/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/martinp/svn/monit/libmonit/config/missing --run makeinfo
 MKDIR_P = /bin/mkdir -p
 NM = /usr/bin/nm -B
 NMEDIT = 
@@ -186,10 +186,10 @@
 SHELL = /bin/bash
 STRIP = strip
 VERSION = 1.0
-abs_builddir = /tmp/monit/libmonit
-abs_srcdir = /tmp/monit/libmonit
-abs_top_builddir = /tmp/monit/libmonit
-abs_top_srcdir = /tmp/monit/libmonit
+abs_builddir = /home/martinp/svn/monit/libmonit
+abs_srcdir = /home/martinp/svn/monit/libmonit
+abs_top_builddir = /home/martinp/svn/monit/libmonit
+abs_top_srcdir = /home/martinp/svn/monit/libmonit
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
 am__include = include
@@ -217,7 +217,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /tmp/monit/libmonit/config/install-sh
+install_sh = ${SHELL} /home/martinp/svn/monit/libmonit/config/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
@@ -356,7 +356,3 @@
 src/util/$(am__dirstamp):
 	@$(MKDIR_P) src/util
 	@: > src/util/$(am__dirstamp)
-src/util/List.lo: src/util/$(am__dirstamp)
-src/util/Str.lo: src/util/$(am__dirstamp)
-src/util/StringBuffer.lo: src/util/$(am__dirstamp)
-src/thread/$(am__dirstamp):

=== debian/changelog ===
monit (1:5.5-6) unstable; urgency=low

  * Include stdlib.h to fix blhc E: pointer-trouble-at-implicit in
    FileTest.c
  * Drop DMUA, fix lintian warning
  * Bump up Standards-Version (to 3.9.4)
  * Use autotools-dev helpers to update config.guess/config.sub (fix
    lintian warning: outdated-autotools-helper-file)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 27 Dec 2012 14:11:12 +0400

monit (1:5.5-5) unstable; urgency=low

  * Fix FTBFS on ia64, a second attempt
  * Revert back -c option in monit.init
  * Implement sysdep_HURD.c
  * Correct description for patch 11
  * Add missing DEP3 "Forwarded" headers

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 13 Dec 2012 17:01:58 +0400

monit (1:5.5-4) unstable; urgency=low

  * Fix (I think) FTBFS on ia64 due to installed automake
  * Update patch 11: fix PATH_MAX issues for Hurd

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 12 Dec 2012 22:52:55 +0400

monit (1:5.5-3) unstable; urgency=low

  * Fix FTBFS for i386 and kfreebsd-i386: patch 10
  * Enable building on Hurd: patch 11

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 11 Dec 2012 16:06:27 +0400

monit (1:5.5-2) unstable; urgency=low

  * Show error while doing an attempt to stop daemon as non-root user
    (LP: #877667)
  * Use /run as pidfile location, patch 09 was added
  * Drop support for "startup" option and /etc/monit/monit_delay
  * Update patch 08 from upstream
  * Drop monit_check_config (monitrc now non-empty by default)
  * Cleanup restart target in monit.init
  * Drop -c $CONFIG argument from monit options in monit.init
  * Drop multiarch workarround for libssl in debian/rules

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sun, 09 Dec 2012 17:42:20 +0400

monit (1:5.5-1) unstable; urgency=low

  * Bunch of config snippets (debian/monitrc.d/*)
  * Imported Upstream version 5.5
  * Unfuzz patches
  * Add Forwarded: dep3 headers

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 10 Sep 2012 14:20:52 +0400

## monit 5.5.1

=== debian/changelog ===
monit (1:5.5.1-1) unstable; urgency=low

  * Imported Upstream version 5.5.1
  * Refresh patches, drop unused

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sun, 16 Jun 2013 13:54:38 +0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), libssl-dev, libpam-dev, libkvm-dev [kfreebsd-any]
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), libssl-dev, libpam-dev, libkvm-dev [kfreebsd-any], autotools-dev
+# this strange things was installed only on ia64 buildd:
+Build-Conflicts: automake, autoconf
+Standards-Version: 3.9.4
 Homepage: http://mmonit.com/monit/
 Vcs-Git: git://git.debian.org/git/collab-maint/monit.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/monit.git;a=summary
